https://www.docusign.com/v2.1/accounts/{accountId}/search_folders/{searchFolderId}<ds-inlinemessage kind="warning" markdown="1"> <strong>This method is deprecated in API v2.1</strong> Use Envelopes: listStatusChanges instead. </ds-inlinemessage> Retrieves a list of items that match the criteria specified in the query. If the user ID of the user making the call is the same as the user ID for any returned recipient, then the `userId` property is added to the returned information for those recipients.
The external account number (int) or account ID GUID.
Specifies the envelope group that is searched by the request. These are logical groupings, not actual folder names. Valid values are: drafts, awaiting_my_signature, completed, out_for_signature.
Specifies that all envelopes that match the criteria are returned.
The maximum number of results to return. Use `start_position` to specify the number of results to skip. Valid values: `1` to `100`
Specifies the start of the date range to return. If no value is provided, the default search is the previous 30 days.
When **true,** the recipient information is returned in the response.
Specifies the order in which the list is returned. Valid values are: `asc` for ascending order, and `desc` for descending order.
Specifies the property used to sort the list. Valid values are: `action_required`, `created`, `completed`, `sent`, `signer_list`, `status`, or `subject`.
The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.
Specifies the end of the date range to return.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/search_folders/{searchFolderId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/search_folders/{searchFolderId}<ds-inlinemessage kind="warning" markdown="1"> <strong>This method is deprecated in API v2.1</strong> Use Envelopes: listStatusChanges instead. </ds-inlinemessage> Retrieves a list of items that match the criteria specified in the query. If the user ID of the user making the call is the same as the user ID for any returned recipient, then the `userId` property is added to the returned information for those recipients.
The external account number (int) or account ID GUID.
Specifies the envelope group that is searched by the request. These are logical groupings, not actual folder names. Valid values are: drafts, awaiting_my_signature, completed, out_for_signature.
Specifies that all envelopes that match the criteria are returned.
The maximum number of results to return. Use `start_position` to specify the number of results to skip. Valid values: `1` to `100`
Specifies the start of the date range to return. If no value is provided, the default search is the previous 30 days.
When **true,** the recipient information is returned in the response.
Specifies the order in which the list is returned. Valid values are: `asc` for ascending order, and `desc` for descending order.
Specifies the property used to sort the list. Valid values are: `action_required`, `created`, `completed`, `sent`, `signer_list`, `status`, or `subject`.
The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.
Specifies the end of the date range to return.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/search_folders/{searchFolderId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}